HTABrowserLauncher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class HTABrowserLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.HTABrowserLauncher

All Implemented Interfaces:
  BrowserLauncher

    public class HTABrowserLauncher

extends java.lang.Object
implements BrowserLauncher

Constructor Summary
`HTABrowserLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`void` | `close()` Stop (kill) the browser process
`java.lang.Process` | `getProcess()` Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).
`void` | `launchHTMLSuite(java.lang.String suiteUrl, java.lang.String browserURL)` Start the browser in Selenese mode, auto-running the specified HTML suite
`void` | `launchRemoteSession(java.lang.String url)` Note that the browserConfigurationOptions object is ignored; This browser configuration is not supported for IE

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTABrowserLauncher

    public HTABrowserLauncher(BrowserConfigurationOptions browserOptions,
                              RemoteControlConfiguration configuration,
                              java.lang.String sessionId,
                              java.lang.String browserLaunchLocation)

Method Detail

### close

    public void close()

  Description copied from interface: `BrowserLauncher`
  Stop (kill) the browser process

  Specified by:
    `close` in interface `BrowserLauncher`

### getProcess

    public java.lang.Process getProcess()

  Description copied from interface: `BrowserLauncher`
  Returns a process if there is an associated one running with this browser launcher (this is not required to be implementd).

  Specified by:
    `getProcess` in interface `BrowserLauncher`
  Returns:
    a handle to a process if one is available, or null if one is not available or if no browser is running

### launchHTMLSuite

    public void launchHTMLSuite(java.lang.String suiteUrl,
                                java.lang.String browserURL)

  Description copied from interface: `BrowserLauncher`
  Start the browser in Selenese mode, auto-running the specified HTML suite

  Specified by:
    `launchHTMLSuite` in interface `BrowserLauncher`
  Parameters:
    `suiteUrl` - the url of the HTML suite to launch
    `browserURL` - the url within which to initiate the session (if needed)

### launchRemoteSession

    public void launchRemoteSession(java.lang.String url)

  Note that the browserConfigurationOptions object is ignored; This browser configuration is not supported for IE

  Specified by:
    `launchRemoteSession` in interface `BrowserLauncher`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.